/**
 * Actions when html and all external files are loaded
 */
document.addEventListener('DOMContentLoaded', function(event) {
	// Creating header on top of tile
  Nexpaq.Header.create('UART');

	
	document.getElementById('uart1').addEventListener('click', start);
	document.getElementById('uart2').addEventListener('click', stop);

	

});

/**
 * Actions when nexpaq API completely initialized 
 * and we can start working with it
 */
document.addEventListener('NexpaqAPIReady', function() {

	/**
   * We also may want to perform some actions when user leaves tile,
   * turn of module sensor for example to cut power use.
   * You can remove it if you don't need to do anything on exit.
   */
  Nexpaq.API.addEventListener('BeforeExit', beforeExitActions);
});

/**
 * Handles tile exit event and perfoms last actions
 */
function beforeExitActions() {
 
}


function start() {
	Nexpaq.API.Module.SendCommand(Nexpaq.Arguments[0], 'Set', []);
};

function stop() {
	Nexpaq.API.Module.SendCommand(Nexpaq.Arguments[0], 'Reset', []);
};
